This function calculates the determinant of a general m-by-n matrix; in other words, it calculates `det(M)` for any matrix `M`.

This implementation is based on [Laplace's formula](https://en.wikipedia.org/wiki/Laplace_expansion), which computes cofactors to get the determinant.

The determinant is useful for many matrix computations. It is sub-step in the common way of calculating the inverse matrix. If the determinant is zero, the matrix does not have an inverse.