This function computes the [eigenvalues](https://en.wikipedia.org/wiki/Eigenvalues_and_eigenvectors) of a matrix `A`.

The eigenvalues are calculated using the [QR algorithm](https://en.wikipedia.org/wiki/QR_algorithm). To confirm the precision of the eigenvalues, the eigenvectors are computed using [inverse power iteration](https://en.wikipedia.org/wiki/Inverse_iteration), and then both sides of this equation `Av = lv` are computed and compared.

This implementation is limited to real eigenvalues.