package ExampleMatrices;

import Matrices.Matrices.Matrix;

import static Matrices.Matrices.Matrices.CreateSquareMatrix;
import static nnumbers.StringToNumber.StringToNumber.nStringToNumberArray;

public class ExampleMatrices {
    public static Matrix CreateMatrixWithComplexEigenvalues(){
        Matrix a;

        a = CreateSquareMatrix(3d);

        a.r[0].c = nStringToNumberArray(" 0, 1, 0".toCharArray());
        a.r[1].c = nStringToNumberArray(" 0, 0, 1".toCharArray());
        a.r[2].c = nStringToNumberArray(" 1, 0, 0".toCharArray());

        return a;
    }

    public static Matrix CreateMatrixWithRepeatedEigenvalues(){
        Matrix a;

        a = CreateSquareMatrix(4d);

        a.r[0].c = nStringToNumberArray(" 2, 0, 0, 0".toCharArray());
        a.r[1].c = nStringToNumberArray(" 1, 2, 0, 0".toCharArray());
        a.r[2].c = nStringToNumberArray(" 0, 1, 3, 0".toCharArray());
        a.r[3].c = nStringToNumberArray(" 0, 0, 1, 3".toCharArray());

        return a;
    }
}
