This function computes all real and complex [eigenpairs](https://en.wikipedia.org/wiki/Eigenvalues_and_eigenvectors) of a complex matrix `A`.

The eigenvalues are calculated using the [characteristic polynomial](https://en.wikipedia.org/wiki/Characteristic_polynomial) followed by using the [Durand-Kerner method](https://en.wikipedia.org/wiki/Durand%E2%80%93Kerner_method) to find all the roots of the polynomial, which are all the eigenvalues of the matrix. The eigenvectors are computed using [inverse power iteration](https://en.wikipedia.org/wiki/Inverse_iteration). Both sides of this equation `Av = lv` are computed and compared to control the precision.

This implementation works for both real and complex eigenvalues and eigenvectors.